#ifndef __INC_HTTPCookie
#define __INC_HTTPCookie

#include "MKCString.h"

typedef unsigned long  time_t;

class HTTPCookie {
private:
	void setExpires(char* value);
	void setPath(char* value);
	void setDomainName(char* value);
	
	short make_month(char* s, char** ends);
	time_t getTime (const char * str);

public:
	CMKString domain;
	CMKString path;
	CMKString name;
	CMKString value;
	time_t expires;
	bool   secure;

	void  setDomain(char* value);
	char* getDomain();
	
	void loadFromString(char* value);
	char* toStringBuffer(char** buffer);
	
	HTTPCookie();
	virtual ~HTTPCookie() {};
};
#endif
