#ifndef __INC_HTTPCookies
#define __INC_HTTPCookies

#include "MGLinkedList.h"

#include "HTTPBase.h"
#include "HTTPCookie.h"

class HTTPCookies : public HTTPBase
{
private:
	CMGLinkedList<HTTPCookie*> *m_cookies;

	bool findInsertionPoint(char* domain, char* path, char* name);
public:
	void setCookie(HTTPCookie*);
	CMGLinkedList<HTTPCookie*>* getCookiesForDomainAndPath(char *domain, char* path, bool secure);
	
	HTTPCookies();
	virtual ~HTTPCookies();
};

#endif