#ifndef __INC_CMKString
#define __INC_CMKString

#include "Compatibility.h"
#include "MGStream.h"

#define emptyString "";

class CMKString {
public:
	CMKString();
	CMKString(CMGStream& st);
	CMKString(const char* text);
	CMKString(unsigned short size);
	virtual ~CMKString();

	char *value;
	
	void set(const char *text);
	void set(CMGStream& st);	
	void set(const char *fchar, const char *lchar);
	void reserve(unsigned short size);
	
	bool empty();
	void setEmpty();

	friend CMGStream& operator<< ( CMGStream& os, const CMKString& v);
	friend CMGStream& operator>> ( CMGStream& st, CMKString& v);
	
	operator char*();
	void operator = (char* txt);
	void operator = (CMKString& str);

protected:
	void resize(unsigned short size);
	void freeV();
};

#endif